Advance WhiteLabel
Introduction
The Advanced Whitelabel is the integration method to use Klavi's services with the medium development effort for your company.
Klavi will create one or more partner applicationsaa, each with its own set of configurations and a corresponding pair of credentials (Access Key & Secret Key)
The Advanced Whitelabel URL will provide to your end-user access to Klavi's whitelabel consent journey so you can start collecting data sharing consents.
1. Generate Your Credentials
As a first step, obtain your application(s) credentials through the Klavi Console. These will give you access to Klavi Sandbox environment WhiteLabel/APIs and enable you to test consent creation and product requests until you are ready to upgrade to a paid plan with live financial institutions and real customers.
Regardless of the environment, please ensure the security of these credentials since they provide full access to Klavi APIs.
2. Welcome Your First Customer
Follow the 2 steps below to create a test customer and share some test accounts with Open finance.
3. Fetch Product Data
You can use web or webview to open the linkURL, make subsequent selection of institutions, redirect to that institution for authentication, and return to the final result web page.
Klavi backend will send you the results through event webhook(even if it is a failed state), after the status change to AUTHORISED, you can send the specific report generation request you want based on the end user type(personal or business, their endpoints are different).
Command:
curl --location 'https://api-sandbox.klavi.ai/data/personal/institution-data' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer JhbGciOiJFUzI1NiIs.QtYjAyOC1hN2ZhMWFjZGRjZjkiLCJ0.nlTqpAZHeq4P2xFD' \
--data '{"taxId":"string","institutionId":"string","linkId":"String","consentId":"Array","products":"Array","productsCallbackURL":"Object"}'Expected response:
{
"requestId": "1325412e-e566-4f4e-ac5b-2f4471586b89",
"message": "ok"
}After you submit a request to generate specific or all report(The report you want to purchase has already been limited by Klavi backend), Klavi randomly starts retrieving data from the institution and processing it to generate the corresponding report, which will be sent to you through the report webhook.
Klavi also supports not having to actively call this endpoint. After you go living or move to production, you can proactively send all the reports you need through the report webhook after authorization is completed, or send them to Klavi's storage space. You can download them at any time through the Klavi Console.